Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Class XMLSubStreamBase

    java.lang.Object
      |
      +--weblogic.xml.stream.util.XMLInputStreamFilterBase
            |
            +--weblogic.xml.stream.util.XMLSubStreamBase

public class XMLSubStreamBase
extends XMLInputStreamFilterBase

This implements substreams from a parent stream.

Version:
  1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`, `XMLInputStreamFilter`

Field Summary
`protected int` | `endTags`
`protected int` | `startTags`

Fields inherited from class weblogic.xml.stream.util.XMLInputStreamFilterBase
`filter, open, parent`

Constructor Summary
`protected` | `XMLSubStreamBase()`
`` | `XMLSubStreamBase(XMLInputStream parent)`
`` | `XMLSubStreamBase(XMLInputStream parent, ElementFilter filter)`

Method Summary
`XMLEvent` | `next()`

Methods inherited from class weblogic.xml.stream.util.XMLInputStreamFilterBase
`close, getParent, getReferenceResolver, getSubStream, hasNext, main, modify, peek, setFilter, setParent, setReferenceResolver, skip, skip, skip, skip, skipElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTags

    protected int startTags

### endTags

    protected int endTags

Constructor Detail

### XMLSubStreamBase

    protected XMLSubStreamBase()

### XMLSubStreamBase

    public XMLSubStreamBase(XMLInputStream parent)
                     throws XMLStreamException

### XMLSubStreamBase

    public XMLSubStreamBase(XMLInputStream parent,
                            ElementFilter filter)
                     throws XMLStreamException

Method Detail

### next

    public XMLEvent next()
                  throws XMLStreamException

  Overrides:
    next in class XMLInputStreamFilterBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference